// src/utils/request.js
import axios from 'axios';
import { ElMessage } from 'element-plus' // 引入Element Plus消息组件（如果使用Element UI）

// 创建 axios 实例
const service = axios.create({
    baseURL: import.meta.env.VITE_BASE_API || '', // 后端 API 基础路径
    timeout: 5000 // 请求超时时间
});

// 请求拦截器
service.interceptors.request.use(
    (config) => {
        // 在发送请求之前做一些操作，比如添加 token
        const token = localStorage.getItem('token');
        if (token) {
            config.headers['Authorization'] = `Bearer ${token}`;
        }
        return config;
    },
    (error) => {
        // 请求错误处理
        return Promise.reject(error);
    }
);

// 响应拦截器
service.interceptors.response.use(
    (response) => {
        const res = response.data;
        return res;
    },
    (error) => {
        // ElMessage.error(error.message || '请求失败');
        return Promise.reject(error);
    }
);

export default service;
